Folders
DOCUMENTS.VIEW. Authorization: Bearer ak_.... Required scope: read:documents. Pass entityId query (must match the key’s entity). Session cookie auth with x-entity-id is also supported.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/documents/folders?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "name": "string", "description": "string", "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43", "color": "string", "icon": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string"}{ "error": "string"}DOCUMENTS.EDIT. Authorization: Bearer ak_.... Required scope: write:documents. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/documents/folders?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "name": "string", "description": "string", "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43", "color": "string", "icon": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string"}{ "error": "string"}{ "error": "string"}DOCUMENTS.EDIT. Authorization: Bearer ak_.... Required scope: write:documents. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/documents/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5", "name": "string", "description": "string", "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43", "color": "string", "icon": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string"}{ "error": "string"}{ "error": "string"}DOCUMENTS.EDIT. Authorization: Bearer ak_.... Required scope: write:documents. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/documents/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "deleted": true}{ "error": "string"}{ "error": "string"}Who can access a folder. Authorization: Bearer ak_.... Required scope includes read:documents. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/documents/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}Share a folder. Authorization: Bearer ak_.... Required scope includes write:documents. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/documents/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}Remove a folder grant. Authorization: Bearer ak_.... Required scope includes write:documents. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/documents/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}Reorder documents in a folder. Authorization: Bearer ak_.... Required scope includes write:documents. Requests are scoped to one entity. Pass entityId as a query parameter, JSON field, or x-entity-id header. API keys are already pinned to an entity.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/documents/folders/497f6eca-6276-4993-bfeb-53cbbbba6f08/reorder?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "error": "string"}{ "error": "string"}{ "error": "string"}